TOUCH(1)

NOME
touch - altera os horários do arquivo

SINOPSE
touch [OPÇÃO]... ARQUIVO...

DESCRIÇÃO

Atualiza os horários de modificação e acesso de cada ARQUIVO para o horário atual.

Um argumento ARQUIVO que não exista é criado vazio, a menos que -c ou -h seja fornecido.

Um argumento string ARQUIVO de - é tratado de forma especial e faz com que altere os horários do arquivo associado com a saída padrão.

Argumentos obrigatórios para opções longas também o são para opções curtas.

-a  altera somente o horário de acesso

-c, --no-create
    não cria arquivo algum

-d, --date=TEXTO
    analisa TEXTO e o usa ao invés da horário atual

-f  (ignorado)

-h, --no-dereference
    afeta cada link simbólico em vez do arquivo por ele referenciado (útil apenas em sistemas que permitem alterar o dono de um link simbólico)

-m  altera apenas o horário de modificação

-r, --reference=ARQUIVO
    usa os horários deste arquivo, em vez do horário atual

-t STAMP
    usa [[CC]YY]MMDDhhmm[.ss] ao invés do horário atual

--time=PALAVRA
    altera o horário especificado: PALAVRA é "access", "atime" ou "use": equivalente a -a PALAVRA é "modify" ou "mtime": equivalente a -m

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

Note que as opções -d e -t aceitam formatos diferentes de data e hora.

STRING DE DATA
O --date=STRING é uma string de data legível em formato quase livre, como "Sun, 29 Feb 2004 16:21:42 -0800" ou "2004-02-29 16:21:42" ou mesmo "next Thursday" . Uma sequência de datas pode conter itens que indicam a data do calendário, hora do dia, fuso horário, dia da semana, hora relativa, data relativa e números. Uma string vazia indica o início do dia. O formato da string de data é mais complexo do que facilmente documentado aqui, mas é totalmente descrito na documentação de informações.

AUTOR
Escrito por Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie e Randy Smith.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2022 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
Documentação completa <https://www.gnu.org/software/coreutils/touch>
ou disponível localmente via: info '(coreutils) touch invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).